# BaseHub

#### new BaseHub()

Source:
  - hubs/basehub.js, line 61

### Extends

- EventEmitter

### Members

#### (readonly) batteryLevel

##### Properties:

Name | Type | Description
--- | --- | ---
`batteryLevel` | number | Battery level of the hub (Percentage between 0-100)

Source:
  - hubs/basehub.js, line 157

#### (readonly) connected

##### Properties:

Name | Type | Description
--- | --- | ---
`connected` | string | Connected status

Source:
  - hubs/basehub.js, line 101

#### (readonly) connecting

##### Properties:

Name | Type | Description
--- | --- | ---
`connecting` | string | Connecting status

Source:
  - hubs/basehub.js, line 108

#### (readonly) firmwareVersion

##### Properties:

Name | Type | Description
--- | --- | ---
`firmwareVersion` | string | Firmware version of the hub

Source:
  - hubs/basehub.js, line 129

#### (readonly) hardwareVersion

##### Properties:

Name | Type | Description
--- | --- | ---
`hardwareVersion` | string | Hardware version of the hub

Source:
  - hubs/basehub.js, line 136

#### (readonly) name

##### Properties:

Name | Type | Description
--- | --- | ---
`name` | string | Name of the hub

Source:
  - hubs/basehub.js, line 94

#### (readonly) ports

##### Properties:

Name | Type | Description
--- | --- | ---
`ports` | Array.<string> | Array of port names

Source:
  - hubs/basehub.js, line 122

#### (readonly) primaryMACAddress

##### Properties:

Name | Type | Description
--- | --- | ---
`primaryMACAddress` | string | Primary MAC address of the hub

Source:
  - hubs/basehub.js, line 143

#### (readonly) rssi

##### Properties:

Name | Type | Description
--- | --- | ---
`rssi` | number | Signal strength of the hub

Source:
  - hubs/basehub.js, line 164

#### (readonly) type

##### Properties:

Name | Type | Description
--- | --- | ---
`type` | string | Hub type

Source:
  - hubs/basehub.js, line 115

#### (readonly) uuid

##### Properties:

Name | Type | Description
--- | --- | ---
`uuid` | string | UUID of the hub

Source:
  - hubs/basehub.js, line 150